> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashDeclarations ## OpenAPI ````json GET /v26.4/CashDeclarations { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashDeclarations": { "get": { "tags": [ "CashDeclarations" ], "parameters": [ { "name": "StoreId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ParentCashDeclarationId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ChildCashDeclarationId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashDeclarationJournalId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "DeclarationType", "in": "query", "schema": { "$ref": "#/components/schemas/CashDeclarationType" } }, { "name": "DeclarationNumber", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "LastCashSaleId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "LastCashFlowId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "RequestDate", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "DateTo", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "CompletedByUserId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IsCompletedOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "IsJournalCashDeclarationsOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "Offset", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "RecordCount", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "CashDeclarationType": { "enum": [ "NotSpecified", "ByPosTerminal", "ByUser" ], "type": "string" }, "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewCashDeclarationDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "storeId": { "type": "integer", "format": "int32", "nullable": true }, "parentCashDeclarationId": { "type": "integer", "format": "int32", "nullable": true }, "cashDeclarationJournalId": { "type": "integer", "format": "int32", "nullable": true }, "declarationType": { "$ref": "#/components/schemas/CashDeclarationType" }, "declarationNumber": { "type": "integer", "format": "int32", "nullable": true }, "lastCashSaleRowId": { "type": "integer", "format": "int32", "nullable": true }, "lastCashFlowId": { "type": "integer", "format": "int32", "nullable": true }, "lastCashSalePaymentId": { "type": "integer", "format": "int32", "nullable": true }, "lastInvoiceSalePaymentId": { "type": "integer", "format": "int32", "nullable": true }, "dateFrom": { "type": "string", "format": "date-time", "nullable": true }, "dateTo": { "type": "string", "format": "date-time", "nullable": true }, "isComplete": { "type": "boolean", "default": false }, "completedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "information": { "type": "string", "nullable": true }, "safeStartAmount": { "type": "number", "format": "double", "nullable": true }, "safeTransactions": { "type": "number", "format": "double", "nullable": true }, "safeEndAmount": { "type": "number", "format": "double", "nullable": true }, "safeCount": { "type": "number", "format": "double", "nullable": true }, "safeDifference": { "type": "number", "format": "double", "nullable": true }, "completedByUserFullName": { "type": "string", "nullable": true }, "cashDeclarationJournalNumber": { "type": "integer", "format": "int32", "nullable": true }, "cashDeclarationJournalDescription": { "type": "string", "nullable": true }, "lastCountTotal": { "type": "number", "format": "double", "nullable": true }, "startAmountTotal": { "type": "number", "format": "double", "nullable": true }, "endAmountTotal": { "type": "number", "format": "double", "nullable": true }, "differenceTotal": { "type": "number", "format": "double", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````